Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(383)

Issue 409753002: Add a dependency on the AOT shim to all nacl_test_data PNaCl nexe targets. (Closed)

Created:
5 years, 1 month ago by jvoung (off chromium)
Modified:
5 years, 1 month ago
CC:
chromium-reviews
Project:
chromium
Visibility:
Public.

Description

Add a dependency on the AOT shim to all nacl_test_data PNaCl nexe targets. The nexe isn't actually needed, so it could link against a dummy PNaCl shim. However, something weird is going on and it attempted to link against the real shim. See notes in reverted NaCl roll: https://codereview.chromium.org/409733002/ Leaving out some of the PNaCl targets which actually do manage to turn off pexe -> nexe translation. Since this is selectively done, beware of flipping 'build_pnacl_newlib': 0 to 1. BUG=none Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=284737

Patch Set 1 #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -0 lines) Patch
M chrome/test/data/nacl/nacl_test_data.gyp View 15 chunks +24 lines, -0 lines 5 comments Download

Messages

Total messages: 8 (0 generated)
jvoung (off chromium)
https://codereview.chromium.org/409753002/diff/1/chrome/test/data/nacl/nacl_test_data.gyp File chrome/test/data/nacl/nacl_test_data.gyp (right): https://codereview.chromium.org/409753002/diff/1/chrome/test/data/nacl/nacl_test_data.gyp#newcode142 chrome/test/data/nacl/nacl_test_data.gyp:142: 'dependencies': [ some of these should also depend on ...
5 years, 1 month ago (2014-07-22 00:50:28 UTC) #1
Mark Seaborn
On 21 July 2014 17:50, <jvoung@chromium.org> wrote: > Leaving out some of the PNaCl targets ...
5 years, 1 month ago (2014-07-22 03:25:17 UTC) #2
Mark Seaborn
LGTM but please check the other gyp files I mentioned earlier too. https://codereview.chromium.org/409753002/diff/1/chrome/test/data/nacl/nacl_test_data.gyp File chrome/test/data/nacl/nacl_test_data.gyp ...
5 years, 1 month ago (2014-07-22 03:28:08 UTC) #3
jvoung (off chromium)
https://codereview.chromium.org/409753002/diff/1/chrome/test/data/nacl/nacl_test_data.gyp File chrome/test/data/nacl/nacl_test_data.gyp (right): https://codereview.chromium.org/409753002/diff/1/chrome/test/data/nacl/nacl_test_data.gyp#newcode54 chrome/test/data/nacl/nacl_test_data.gyp:54: 'build_newlib': 1, On 2014/07/22 03:28:08, Mark Seaborn wrote: > ...
5 years, 1 month ago (2014-07-22 15:40:54 UTC) #4
jvoung (off chromium)
On 2014/07/22 03:25:17, Mark Seaborn wrote: > On 21 July 2014 17:50, <mailto:jvoung@chromium.org> wrote: > ...
5 years, 1 month ago (2014-07-22 15:47:10 UTC) #5
jvoung (off chromium)
The CQ bit was checked by jvoung@chromium.org
5 years, 1 month ago (2014-07-22 16:14:53 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jvoung@chromium.org/409753002/1
5 years, 1 month ago (2014-07-22 16:15:38 UTC) #7
commit-bot: I haz the power
5 years, 1 month ago (2014-07-22 18:33:27 UTC) #8
Message was sent while issue was closed.
Change committed as 284737

Powered by Google App Engine
This is Rietveld 408576698